#!/usr/bin/make -f
# -*- makefile -*-

name = globus-gram-audit

INSTALLDIR = debian/tmp

_docdir = /usr/share/doc/$(name)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	   --disable-static \
	   --includedir=/usr/include/globus \
	   --libexecdir=/usr/share/globus \
	   --docdir=$(_docdir)

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTALLDIR)

	# Rename cron script
	mv $(INSTALLDIR)/etc/cron.hourly/globus-gram-audit.cron \
	   $(INSTALLDIR)/etc/cron.hourly/globus-gram-audit

	# Remove installed license file
	rm $(INSTALLDIR)$(_docdir)/GLOBUS_LICENSE

override_dh_fixperms:
	dh_fixperms -X /var/lib/globus/gram-audit
